using System;
using System.Text.Json.Serialization;

namespace BO.ProcessServer.Options
{
    internal class Configuration
    {
        [JsonPropertyName("api-base-url")] public Uri ApiBaseUrl { get; set; }
        [JsonPropertyName("api-user")] public string ApiUser { get; set; }
        [JsonPropertyName("api-pwd")] public string ApiUserPwd { get; set; }
        [JsonPropertyName("api-magic")] public string ApiMagic { get; set; }
        [JsonPropertyName("api-timeout")] public string ApiTimeoutRaw { get; set; }
        public TimeSpan ApiTimeout => TimeSpan.Parse(ApiTimeoutRaw);
    }

}
